# Turn an accepted proposal into a quote (the default) or into invoices

`POST /proposals/{id}/convert` · Rivier · shop

Turn an accepted proposal into a quote (the default) or into invoices. The proposal becomes converted.

- Scope: shop:write
- Sdk: shop.proposal.convert
- Cli: proposals convert

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "to": {
      "type": "string",
      "enum": [
        "quote",
        "invoice"
      ],
      "default": "quote"
    },
    "depositPercent": {
      "type": "integer",
      "minimum": 1,
      "maximum": 99
    },
    "idempotencyKey": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/proposals/{id}/convert' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "to": "quote",
  "depositPercent": 0,
  "idempotencyKey": "string"
}'
```
